<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.jeeplus.human.practice.register.mapper.RegistrationExperienceMapper">

    <sql id="Base_Column_List">
        a.id,
        a.create_by_id,
        a.create_time,
        a.update_by_id,
        a.update_time,
        a.del_flag,
        a.start_time,
        a.end_time,
        a.practice_unit,
        a.post,
        a.registration_id
    </sql>

    <delete id="deleteByRegisterId">
        update human_resources_practice_registration_experience set del_flag = '1' where registration_id = #{registerId}
    </delete>
    <select id="getByRegisterId"
            resultType="com.jeeplus.human.practice.register.domain.RegistrationExperience">
        select
        <include refid="Base_Column_List"></include>
        from human_resources_practice_registration_experience a
        where a.registration_id = #{registerId} and a.del_flag = '0'
    </select>
</mapper>